Index: code/branches/netp5/src/network/ChatListener.cc
===================================================================
--- code/branches/netp5/src/network/ChatListener.cc	(revision 3208)
+++ code/branches/netp5/src/network/ChatListener.cc	(revision 3209)
@@ -28,5 +28,4 @@
 
 #include "ChatListener.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/netp5/src/network/ChatListener.h
===================================================================
--- code/branches/netp5/src/network/ChatListener.h	(revision 3208)
+++ code/branches/netp5/src/network/ChatListener.h	(revision 3209)
@@ -31,6 +31,4 @@
 
 #include "NetworkPrereqs.h"
-
-#include "ClientInformation.h"
 #include "core/OrxonoxClass.h"
 
Index: code/branches/netp5/src/network/Client.cc
===================================================================
--- code/branches/netp5/src/network/Client.cc	(revision 3208)
+++ code/branches/netp5/src/network/Client.cc	(revision 3209)
@@ -39,13 +39,13 @@
 //
 
+#include "Client.h"
+
 #include <cassert>
-#include <enet/enet.h>
 
-#include "Client.h"
-#include "Host.h"
+#include "util/Debug.h"
+#include "core/Clock.h"
 #include "synchronisable/Synchronisable.h"
-#include "core/Clock.h"
-#include "core/CoreIncludes.h"
-#include "packet/Packet.h"
+#include "packet/Chat.h"
+#include "packet/Gamestate.h"
 #include "FunctionCallManager.h"
 
Index: code/branches/netp5/src/network/Client.h
===================================================================
--- code/branches/netp5/src/network/Client.h	(revision 3208)
+++ code/branches/netp5/src/network/Client.h	(revision 3209)
@@ -45,10 +45,7 @@
 
 #include <string>
-
-#include "Host.h"
-#include "packet/Chat.h"
 #include "ClientConnection.h"
 #include "GamestateClient.h"
-
+#include "Host.h"
 
 namespace orxonox
Index: code/branches/netp5/src/network/ClientConnection.cc
===================================================================
--- code/branches/netp5/src/network/ClientConnection.cc	(revision 3208)
+++ code/branches/netp5/src/network/ClientConnection.cc	(revision 3209)
@@ -29,7 +29,6 @@
 #include "ClientConnection.h"
 
-#include <iostream>
 #include <cassert>
-
+#include <enet/enet.h>
 #include "util/Debug.h"
 
@@ -43,6 +42,6 @@
 
   ClientConnection::ClientConnection():
-    server_(NULL),
-    established_(false)
+    established_(false),
+    server_(NULL)
   {
     this->serverAddress_ = new ENetAddress();
@@ -56,4 +55,12 @@
       closeConnection();
     delete this->serverAddress_; // surely was created
+  }
+
+  void ClientConnection::setServerAddress( const std::string& serverAddress ) {
+    enet_address_set_host (this->serverAddress_, serverAddress.c_str());
+  }
+
+  void ClientConnection::setPort( unsigned int port ) {
+    this->serverAddress_->port = port;
   }
 
Index: code/branches/netp5/src/network/ClientConnection.h
===================================================================
--- code/branches/netp5/src/network/ClientConnection.h	(revision 3208)
+++ code/branches/netp5/src/network/ClientConnection.h	(revision 3209)
@@ -30,6 +30,4 @@
 #define _ClientConnection_H__
 
-#include <string>
-
 #include "NetworkPrereqs.h"
 #include "Connection.h"
@@ -41,8 +39,8 @@
   public:
     ClientConnection();
-    ~ClientConnection();
+    virtual ~ClientConnection();
     
-    void setServerAddress( const std::string& serverAddress ){ enet_address_set_host (this->serverAddress_, serverAddress.c_str()); }
-    void setPort( unsigned int port ){ this->serverAddress_->port = port; }
+    void setServerAddress( const std::string& serverAddress );
+    void setPort( unsigned int port );
     
     ENetEvent *getEvent();
@@ -68,10 +66,4 @@
 
 
-
-
-
-
-
-
 }
 
Index: code/branches/netp5/src/network/ClientConnectionListener.cc
===================================================================
--- code/branches/netp5/src/network/ClientConnectionListener.cc	(revision 3208)
+++ code/branches/netp5/src/network/ClientConnectionListener.cc	(revision 3209)
@@ -28,6 +28,8 @@
 
 #include "ClientConnectionListener.h"
+
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
+#include "ClientInformation.h"
 
 namespace orxonox{
Index: code/branches/netp5/src/network/ClientConnectionListener.h
===================================================================
--- code/branches/netp5/src/network/ClientConnectionListener.h	(revision 3208)
+++ code/branches/netp5/src/network/ClientConnectionListener.h	(revision 3209)
@@ -1,7 +1,34 @@
-#ifndef _NETWORK_CLIENTCONNECTIONLISTENER__
-#define _NETWORK_CLIENTCONNECTIONLISTENER__
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>, (C) 2008
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _ClientConnectionListener_H__
+#define _ClientConnectionListener_H__
 
 #include "NetworkPrereqs.h"
-#include "ClientInformation.h"
 #include "core/OrxonoxClass.h"
 
@@ -26,3 +53,3 @@
 
 
-#endif
+#endif /* _ClientConnectionListener_H__ */
Index: code/branches/netp5/src/network/ClientInformation.cc
===================================================================
--- code/branches/netp5/src/network/ClientInformation.cc	(revision 3208)
+++ code/branches/netp5/src/network/ClientInformation.cc	(revision 3209)
@@ -40,7 +40,5 @@
 
 #include "ClientInformation.h"
-
 #include <enet/enet.h>
-#include <iostream> //debug
 
 namespace orxonox
Index: code/branches/netp5/src/network/Connection.cc
===================================================================
--- code/branches/netp5/src/network/Connection.cc	(revision 3208)
+++ code/branches/netp5/src/network/Connection.cc	(revision 3209)
@@ -29,14 +29,8 @@
 #include "Connection.h"
 
-#include <iostream>
 #include <cassert>
+#include <enet/enet.h>
 #include <OgreTimer.h>
-
-#include "util/Debug.h"
-#include "util/Math.h"
-#include "util/Sleep.h"
-#include "ClientInformation.h"
-#include "synchronisable/Synchronisable.h"
-#include "packet/ClassID.h"
+#include "packet/Packet.h"
 
 namespace orxonox
@@ -55,4 +49,12 @@
   Connection::~Connection(){
     Connection::instance_=0;
+  }
+
+  int Connection::service(ENetEvent* event) {
+    return enet_host_service( this->host_, event, NETWORK_WAIT_TIMEOUT );
+  }
+
+  void Connection::disconnectPeer(ENetPeer *peer) {
+    enet_peer_disconnect(peer, 0);
   }
 
@@ -96,3 +98,8 @@
   }
 
+  bool Connection::processPacket(ENetEvent* event) {
+    packet::Packet *p = packet::Packet::createPacket(event->packet, event->peer);
+    return p->process();
+  }
+
 }
Index: code/branches/netp5/src/network/Connection.h
===================================================================
--- code/branches/netp5/src/network/Connection.h	(revision 3208)
+++ code/branches/netp5/src/network/Connection.h	(revision 3209)
@@ -43,10 +43,4 @@
 #include "NetworkPrereqs.h"
 
-#include <string>
-#include <map>
-#include <enet/enet.h>
-
-#include "packet/Packet.h"
-
 namespace orxonox
 {
@@ -59,5 +53,5 @@
   class _NetworkExport Connection{
   public:
-    ~Connection();
+    virtual ~Connection();
     
     static bool addPacket(ENetPacket *packet, ENetPeer *peer);
@@ -69,11 +63,11 @@
     static Connection* getInstance(){ return Connection::instance_; }
     
-    int service(ENetEvent* event){ return enet_host_service( this->host_, event, NETWORK_WAIT_TIMEOUT ); }
-    void disconnectPeer(ENetPeer *peer){ enet_peer_disconnect(peer, 0); }
+    int service(ENetEvent* event);
+    void disconnectPeer(ENetPeer *peer);
     
     void processQueue();
     virtual void addClient(ENetEvent* event)=0;
     virtual void disconnectPeer(ENetEvent* event)=0;
-    virtual bool processPacket(ENetEvent* event){ packet::Packet *p = packet::Packet::createPacket(event->packet, event->peer); return p->process(); }
+    virtual bool processPacket(ENetEvent* event);
     
     ENetHost *host_;
Index: code/branches/netp5/src/network/FunctionCallManager.h
===================================================================
--- code/branches/netp5/src/network/FunctionCallManager.h	(revision 3208)
+++ code/branches/netp5/src/network/FunctionCallManager.h	(revision 3209)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>, (C) 2008
+ *   Co-authors:
+ *      ...
+ *
+ */
 
-#ifndef NETWORKFUNCTIONCALLMANAGER_H
-#define NETWORKFUNCTIONCALLMANAGER_H
+#ifndef _FunctionCallManager_H__
+#define _FunctionCallManager_H__
 
 #include "NetworkPrereqs.h"
-#include "packet/FunctionCalls.h"
+
 #include <map>
-
+#include "util/UtilPrereqs.h"
 
 namespace orxonox {
@@ -12,6 +39,4 @@
 	@author
 */
-
-class MultiType;
 
 class _NetworkExport FunctionCallManager
@@ -42,3 +67,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _FunctionCallManager_H__ */
Index: code/branches/netp5/src/network/GamestateClient.cc
===================================================================
--- code/branches/netp5/src/network/GamestateClient.cc	(revision 3208)
+++ code/branches/netp5/src/network/GamestateClient.cc	(revision 3209)
@@ -29,12 +29,10 @@
 #include "GamestateClient.h"
 
-#include <cassert>
-#include <zlib.h>
-
-#include "core/CoreIncludes.h"
-#include "core/BaseObject.h"
+#include "util/Debug.h"
+#include "core/ObjectList.h"
 #include "synchronisable/Synchronisable.h"
 #include "synchronisable/NetworkCallbackManager.h"
 #include "packet/Acknowledgement.h"
+#include "packet/Gamestate.h"
 
 
Index: code/branches/netp5/src/network/GamestateClient.h
===================================================================
--- code/branches/netp5/src/network/GamestateClient.h	(revision 3208)
+++ code/branches/netp5/src/network/GamestateClient.h	(revision 3209)
@@ -41,9 +41,8 @@
 #define _GamestateClient_H__
 
+#include "NetworkPrereqs.h"
+
 #include <map>
-//
-#include "NetworkPrereqs.h"
 #include "core/CorePrereqs.h"
-#include "packet/Gamestate.h"
 #include "GamestateHandler.h"
 
Index: code/branches/netp5/src/network/GamestateHandler.cc
===================================================================
--- code/branches/netp5/src/network/GamestateHandler.cc	(revision 3208)
+++ code/branches/netp5/src/network/GamestateHandler.cc	(revision 3209)
@@ -1,6 +1,32 @@
-#include <cassert>
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>, (C) 2008
+ *   Co-authors:
+ *      ...
+ *
+ */
 
 #include "GamestateHandler.h"
-#include "packet/Packet.h"
+#include <cassert>
 
 namespace orxonox {
Index: code/branches/netp5/src/network/GamestateHandler.h
===================================================================
--- code/branches/netp5/src/network/GamestateHandler.h	(revision 3208)
+++ code/branches/netp5/src/network/GamestateHandler.h	(revision 3209)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKGAMESTATEHANDLER_H
-#define NETWORKGAMESTATEHANDLER_H
 
-#include <string>
+#ifndef _GamestateHandler_H__
+#define _GamestateHandler_H__
 
 #include "NetworkPrereqs.h"
-#include "packet/Chat.h"
 
 namespace orxonox {
@@ -58,3 +56,3 @@
 }
 
-#endif
+#endif /* _GamestateHandler_H__ */
Index: code/branches/netp5/src/network/GamestateManager.cc
===================================================================
--- code/branches/netp5/src/network/GamestateManager.cc	(revision 3208)
+++ code/branches/netp5/src/network/GamestateManager.cc	(revision 3209)
@@ -41,15 +41,12 @@
 #include "GamestateManager.h"
 
-#include <utility>
-#include <iostream>
-#include <zlib.h>
 #include <cassert>
 
-#include "core/CoreIncludes.h"
-#include "core/BaseObject.h"
+#include "util/Debug.h"
 #include "ClientInformation.h"
-#include "synchronisable/Synchronisable.h"
+#include "packet/Acknowledgement.h"
+#include "packet/Gamestate.h"
 #include "synchronisable/NetworkCallbackManager.h"
-#include "packet/Acknowledgement.h"
+#include "TrafficControl.h"
 
 namespace orxonox
Index: code/branches/netp5/src/network/GamestateManager.h
===================================================================
--- code/branches/netp5/src/network/GamestateManager.h	(revision 3208)
+++ code/branches/netp5/src/network/GamestateManager.h	(revision 3209)
@@ -42,14 +42,12 @@
 
 #include "NetworkPrereqs.h"
+
+#include <map>
 #include "GamestateHandler.h"
-#include "TrafficControl.h"
-#include <map>
-
-#include "packet/Gamestate.h"
 
 namespace orxonox
 {
 
-    const int KEEP_GAMESTATES = 10;
+  const int KEEP_GAMESTATES = 10;
 
   /**
Index: code/branches/netp5/src/network/Host.cc
===================================================================
--- code/branches/netp5/src/network/Host.cc	(revision 3208)
+++ code/branches/netp5/src/network/Host.cc	(revision 3209)
@@ -27,9 +27,11 @@
  */
 
+#include "Host.h"
+
 #include <cassert>
+#include <string>
 
-#include "Host.h"
 #include "core/ConsoleCommand.h"
-#include "packet/Packet.h"
+#include "core/ObjectList.h"
 #include "ChatListener.h"
 
Index: code/branches/netp5/src/network/Host.h
===================================================================
--- code/branches/netp5/src/network/Host.h	(revision 3208)
+++ code/branches/netp5/src/network/Host.h	(revision 3209)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKHOST_H
-#define NETWORKHOST_H
 
-#include <string>
+#ifndef _NETWORK_Host_H__
+#define _NETWORK_Host_H__
 
 #include "NetworkPrereqs.h"
-#include "packet/Chat.h"
 
 namespace orxonox {
@@ -86,3 +84,3 @@
 }
 
-#endif
+#endif /* _NETWORK_Host_H__ */
Index: code/branches/netp5/src/network/NetworkFunction.cc
===================================================================
--- code/branches/netp5/src/network/NetworkFunction.cc	(revision 3208)
+++ code/branches/netp5/src/network/NetworkFunction.cc	(revision 3209)
@@ -28,6 +28,5 @@
 
 #include "NetworkFunction.h"
-#include <string>
-#include "synchronisable/Synchronisable.h"
+#include "core/CoreIncludes.h"
 
 namespace orxonox
@@ -42,5 +41,5 @@
   std::map<uint32_t, NetworkMemberFunctionBase*> NetworkMemberFunctionBase::idMap_;
 
-  NetworkFunctionBase::NetworkFunctionBase(std::string name)
+  NetworkFunctionBase::NetworkFunctionBase(const std::string& name)
   {
     RegisterRootObject(NetworkFunctionBase);
@@ -58,5 +57,5 @@
   
   
-  NetworkFunctionStatic::NetworkFunctionStatic(FunctorStatic* functor, std::string name, const NetworkFunctionPointer& p):
+  NetworkFunctionStatic::NetworkFunctionStatic(FunctorStatic* functor, const std::string& name, const NetworkFunctionPointer& p):
     NetworkFunctionBase(name)
   {
@@ -75,5 +74,5 @@
   
   
-  NetworkMemberFunctionBase::NetworkMemberFunctionBase(std::string name, const NetworkFunctionPointer& p):
+  NetworkMemberFunctionBase::NetworkMemberFunctionBase(const std::string& name, const NetworkFunctionPointer& p):
     NetworkFunctionBase(name)
   {
Index: code/branches/netp5/src/network/NetworkFunction.h
===================================================================
--- code/branches/netp5/src/network/NetworkFunction.h	(revision 3208)
+++ code/branches/netp5/src/network/NetworkFunction.h	(revision 3209)
@@ -27,20 +27,18 @@
  */
 
-#ifndef NETWORKFUNCTION_H
-#define NETWORKFUNCTION_H
+#ifndef _NetworkFunction_H__
+#define _NetworkFunction_H__
 
 #include "NetworkPrereqs.h"
+
+#include <cassert>
+#include <map>
+#include <string>
+#include <boost/preprocessor/cat.hpp>
+
 #include "core/OrxonoxClass.h"
-
-#include <string>
-#include <map>
-#include <cassert>
-#include <boost/preprocessor/cat.hpp>
-#include "util/MultiType.h"
 #include "core/Functor.h"
+#include "FunctionCallManager.h"
 #include "synchronisable/Synchronisable.h"
-#include "OrxonoxConfig.h"
-#include "FunctionCallManager.h"
-
 
 namespace orxonox
@@ -72,13 +70,13 @@
 class _NetworkExport NetworkFunctionBase: virtual public OrxonoxClass {
   public:
-    NetworkFunctionBase(std::string name);
+    NetworkFunctionBase(const std::string& name);
     ~NetworkFunctionBase();
     
     virtual void        setNetworkID(uint32_t id)       { this->networkID_ = id; }
     inline uint32_t     getNetworkID() const            { return this->networkID_; }
-    inline std::string  getName() const                 { return name_; }
+    inline const std::string& getName() const           { return name_; }
     static inline bool  isStatic( uint32_t networkID )  { return isStaticMap_[networkID]; }
     
-    static inline void setNetworkID(std::string name, uint32_t id){ assert( nameMap_.find(name)!=nameMap_.end() ); nameMap_[name]->setNetworkID(id); }
+    static inline void setNetworkID(const std::string& name, uint32_t id){ assert( nameMap_.find(name)!=nameMap_.end() ); nameMap_[name]->setNetworkID(id); }
     
   protected:
@@ -95,5 +93,5 @@
 class _NetworkExport NetworkFunctionStatic: public NetworkFunctionBase {
   public:
-    NetworkFunctionStatic(FunctorStatic* functor, std::string name, const NetworkFunctionPointer& p);
+    NetworkFunctionStatic(FunctorStatic* functor, const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkFunctionStatic();
     
@@ -121,5 +119,5 @@
 class _NetworkExport NetworkMemberFunctionBase: public NetworkFunctionBase {
   public:
-    NetworkMemberFunctionBase(std::string name, const NetworkFunctionPointer& p);
+    NetworkMemberFunctionBase(const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkMemberFunctionBase();
     
@@ -145,5 +143,5 @@
 template <class T> class NetworkMemberFunction: public NetworkMemberFunctionBase {
   public:
-    NetworkMemberFunction(FunctorMember<T>* functor, std::string name, const NetworkFunctionPointer& p);
+    NetworkMemberFunction(FunctorMember<T>* functor, const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkMemberFunction();
     
@@ -183,5 +181,5 @@
 };
 
-template <class T> NetworkMemberFunction<T>::NetworkMemberFunction(FunctorMember<T>* functor, std::string name, const NetworkFunctionPointer& p):
+template <class T> NetworkMemberFunction<T>::NetworkMemberFunction(FunctorMember<T>* functor, const std::string& name, const NetworkFunctionPointer& p):
     NetworkMemberFunctionBase(name, p), functor_(functor)
 {
@@ -201,5 +199,5 @@
 }
 
-template<class T> inline void* registerStaticNetworkFunctionFct( T ptr, std::string name )
+template<class T> inline void* registerStaticNetworkFunctionFct( T ptr, const std::string& name )
 {
   NetworkFunctionPointer destptr;
@@ -209,5 +207,5 @@
 }
 
-template<class T, class PT> inline void* registerMemberNetworkFunctionFct( PT ptr, std::string name )
+template<class T, class PT> inline void* registerMemberNetworkFunctionFct( PT ptr, const std::string& name )
 {
   NetworkFunctionPointer destptr;
@@ -239,3 +237,3 @@
 }
 
-#endif
+#endif /* _NetworkFunction_H__ */
Index: code/branches/netp5/src/network/NetworkPrereqs.h
===================================================================
--- code/branches/netp5/src/network/NetworkPrereqs.h	(revision 3208)
+++ code/branches/netp5/src/network/NetworkPrereqs.h	(revision 3209)
@@ -114,4 +114,5 @@
   struct QueueItem;
   struct syncData;
+  class TrafficControl;
   class obj;
   class objInfo;
@@ -129,4 +130,14 @@
     class Welcome;
   }
+
+  namespace PacketFlag
+  {
+    enum Enum
+    {
+      Reliable   = 1,
+      Unsequence = 2,
+      NoAllocate = 4
+    };
+  }
 }
 
Index: code/branches/netp5/src/network/PacketBuffer.cc
===================================================================
--- code/branches/netp5/src/network/PacketBuffer.cc	(revision 3208)
+++ code/branches/netp5/src/network/PacketBuffer.cc	(revision 3209)
@@ -33,10 +33,5 @@
 #include "PacketBuffer.h"
 
-#include <enet/enet.h>
-#include <iostream>
-#include <queue>
-#include <string>
-#include <boost/bind.hpp>
-#include <boost/thread/mutex.hpp>
+//#include <iostream>
 #include <boost/thread/recursive_mutex.hpp>
 
Index: code/branches/netp5/src/network/Server.cc
===================================================================
--- code/branches/netp5/src/network/Server.cc	(revision 3208)
+++ code/branches/netp5/src/network/Server.cc	(revision 3209)
@@ -42,26 +42,20 @@
 
 #include <enet/enet.h>
-#include <iostream>
 #include <cassert>
-
-
-// #include "ConnectionManager.h"
-#include "ClientConnectionListener.h"
+#include <string>
+
+#include "util/Debug.h"
+#include "core/Clock.h"
+#include "core/ObjectList.h"
+#include "packet/Chat.h"
+#include "packet/ClassID.h"
+#include "packet/DeleteObjects.h"
+#include "packet/FunctionIDs.h"
+#include "packet/Gamestate.h"
+#include "packet/Welcome.h"
+#include "ChatListener.h"
+#include "ClientInformation.h"
+#include "FunctionCallManager.h"
 #include "GamestateManager.h"
-#include "ClientInformation.h"
-#include "util/Sleep.h"
-#include "core/Clock.h"
-#include "core/ConsoleCommand.h"
-#include "core/CoreIncludes.h"
-#include "packet/Chat.h"
-#include "packet/Packet.h"
-#include "packet/Welcome.h"
-#include "packet/DeleteObjects.h"
-#include "packet/ClassID.h"
-#include "util/Convert.h"
-#include "ChatListener.h"
-#include "FunctionCallManager.h"
-#include "packet/FunctionIDs.h"
-
 
 namespace orxonox
Index: code/branches/netp5/src/network/Server.h
===================================================================
--- code/branches/netp5/src/network/Server.h	(revision 3208)
+++ code/branches/netp5/src/network/Server.h	(revision 3209)
@@ -32,9 +32,7 @@
 #include "NetworkPrereqs.h"
 
-#include <string>
-
+#include "core/CorePrereqs.h"
 #include "Host.h"
 #include "ServerConnection.h"
-#include "GamestateManager.h"
 
 namespace orxonox
Index: code/branches/netp5/src/network/ServerConnection.cc
===================================================================
--- code/branches/netp5/src/network/ServerConnection.cc	(revision 3208)
+++ code/branches/netp5/src/network/ServerConnection.cc	(revision 3209)
@@ -30,8 +30,9 @@
 
 #include <cassert>
+#include <string>
+#include <enet/enet.h>
 
+#include "util/Debug.h"
 #include "ClientInformation.h"
-
-#include "core/CoreIncludes.h"
 
 namespace orxonox
@@ -50,4 +51,12 @@
       closeListener();
     delete this->bindAddress_;
+  }
+
+  void ServerConnection::setBindAddress( const std::string& bindAddress ) {
+    enet_address_set_host (this->bindAddress_, bindAddress.c_str());
+  }
+
+  void ServerConnection::setPort( unsigned int port ) {
+      this->bindAddress_->port = port;
   }
 
Index: code/branches/netp5/src/network/ServerConnection.h
===================================================================
--- code/branches/netp5/src/network/ServerConnection.h	(revision 3208)
+++ code/branches/netp5/src/network/ServerConnection.h	(revision 3209)
@@ -42,5 +42,4 @@
 
 #include "NetworkPrereqs.h"
-
 #include "Connection.h"
 
@@ -52,6 +51,6 @@
     ~ServerConnection();
     
-    void setBindAddress( const std::string& bindAddress ){ enet_address_set_host (this->bindAddress_, bindAddress.c_str()); }
-    void setPort( unsigned int port ){ this->bindAddress_->port = port; }
+    void setBindAddress( const std::string& bindAddress );
+    void setPort( unsigned int port );
     
     bool openListener();
Index: code/branches/netp5/src/network/TrafficControl.cc
===================================================================
--- code/branches/netp5/src/network/TrafficControl.cc	(revision 3208)
+++ code/branches/netp5/src/network/TrafficControl.cc	(revision 3209)
@@ -29,10 +29,10 @@
 #include "TrafficControl.h"
 
-#include "synchronisable/Synchronisable.h"
+#include <cassert>
+#include <boost/bind.hpp>
+
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-
-#include <cassert>
-#include <boost/bind.hpp>
+#include "synchronisable/Synchronisable.h"
 
 namespace orxonox {
Index: code/branches/netp5/src/network/TrafficControl.h
===================================================================
--- code/branches/netp5/src/network/TrafficControl.h	(revision 3208)
+++ code/branches/netp5/src/network/TrafficControl.h	(revision 3209)
@@ -25,16 +25,13 @@
  *      ...
  *
+
  */
-#ifndef NETWORK_TRAFFICCONTROL_H
-#define NETWORK_TRAFFICCONTROL_H
+#ifndef _TrafficControl_H__
+#define _TrafficControl_H__
 
 #include "NetworkPrereqs.h"
 
-#include <string>
 #include <list>
 #include <map>
-#include <utility>
-#include <algorithm>
-#include "core/OrxonoxClass.h"
 #include "network/ClientConnectionListener.h"
 
@@ -143,4 +140,3 @@
 }
 
-#endif
-
+#endif /* _TrafficControl_H__ */
Index: code/branches/netp5/src/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/netp5/src/network/packet/Acknowledgement.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/Acknowledgement.cc	(revision 3209)
@@ -27,9 +27,8 @@
  */
 
+#include "Acknowledgement.h"
 
-#include "Acknowledgement.h"
-#include "network/Host.h"
+#include "util/Debug.h"
 #include "network/GamestateHandler.h"
-#include "core/CoreIncludes.h"
 
 namespace orxonox {
Index: code/branches/netp5/src/network/packet/Acknowledgement.h
===================================================================
--- code/branches/netp5/src/network/packet/Acknowledgement.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/Acknowledgement.h	(revision 3209)
@@ -26,13 +26,13 @@
  *
  */
-#ifndef NETWORKACKNOLEDGEMENT_H
-#define NETWORKACKNOLEDGEMENT_H
 
-#include "../NetworkPrereqs.h"
+#ifndef _Acknowledgement_H__
+#define _Acknowledgement_H__
+
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
+namespace orxonox {
 const unsigned int ACKID_NACK = 0;
-
-namespace orxonox {
 namespace packet {
 /**
@@ -56,3 +56,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _Acknowledgement_H__ */
Index: code/branches/netp5/src/network/packet/Chat.cc
===================================================================
--- code/branches/netp5/src/network/packet/Chat.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/Chat.cc	(revision 3209)
@@ -29,6 +29,5 @@
 #include "Chat.h"
 
-#include <enet/enet.h>
-#include <cassert>
+#include <string>
 #include "network/Host.h"
 
@@ -36,5 +35,5 @@
 namespace packet {
   
-#define   PACKET_FLAGS_CHAT ENET_PACKET_FLAG_RELIABLE
+#define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 #define   _PACKETID         0
 const int _PLAYERID     =   _PACKETID + sizeof(ENUM::Type);
@@ -42,5 +41,5 @@
 #define   _MESSAGE          _MESSAGELENGTH + sizeof(uint32_t)
 
-Chat::Chat( std::string message, unsigned int playerID )
+Chat::Chat( const std::string& message, unsigned int playerID )
  : Packet()
 {
Index: code/branches/netp5/src/network/packet/Chat.h
===================================================================
--- code/branches/netp5/src/network/packet/Chat.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/Chat.h	(revision 3209)
@@ -1,11 +1,34 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
 
-#ifndef NETWORKCHAT_H
-#define NETWORKCHAT_H
+#ifndef _NETWORK_Chat_H__
+#define _NETWORK_Chat_H__
 
-#include "../NetworkPrereqs.h"
-
-#include <string>
-#include <cstring>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -18,5 +41,5 @@
 {
 public:
-  Chat( std::string message, unsigned int playerID );
+  Chat( const std::string& message, unsigned int playerID );
   Chat( uint8_t* data, unsigned int clientID );
   ~Chat();
@@ -35,3 +58,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Chat_H__ */
Index: code/branches/netp5/src/network/packet/ClassID.cc
===================================================================
--- code/branches/netp5/src/network/packet/ClassID.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/ClassID.cc	(revision 3209)
@@ -27,15 +27,12 @@
  */
 
+#include "ClassID.h"
 
-
-#include "ClassID.h"
-#include <enet/enet.h>
-#include "core/CoreIncludes.h"
-#include "core/Factory.h"
-#include <cstring>
-#include <string>
 #include <cassert>
 #include <map>
 #include <queue>
+#include <string>
+
+#include "core/CoreIncludes.h"
 
 namespace orxonox {
@@ -43,5 +40,5 @@
 
 
-#define PACKET_FLAGS_CLASSID  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_CLASSID  PacketFlag::Reliable
 #define _PACKETID             0
 
Index: code/branches/netp5/src/network/packet/ClassID.h
===================================================================
--- code/branches/netp5/src/network/packet/ClassID.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/ClassID.h	(revision 3209)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKCLASSID_H
-#define NETWORKCLASSID_H
 
-#include "../NetworkPrereqs.h"
+#ifndef _NETWORK_ClassID_H__
+#define _NETWORK_ClassID_H__
 
-#include <string>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -58,3 +56,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_ClassID_H__ */
Index: code/branches/netp5/src/network/packet/DeleteObjects.cc
===================================================================
--- code/branches/netp5/src/network/packet/DeleteObjects.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/DeleteObjects.cc	(revision 3209)
@@ -29,13 +29,13 @@
 
 #include "DeleteObjects.h"
-#include <enet/enet.h>
+
+#include <cassert>
+#include "util/Debug.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/CoreIncludes.h"
-#include <cassert>
 
 namespace orxonox {
 namespace packet {
 
-#define PACKET_FLAG_DELETE  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAG_DELETE  PacketFlag::Reliable
 #define _PACKETID           0
 #define _QUANTITY           _PACKETID + sizeof(ENUM::Type)
Index: code/branches/netp5/src/network/packet/DeleteObjects.h
===================================================================
--- code/branches/netp5/src/network/packet/DeleteObjects.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/DeleteObjects.h	(revision 3209)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKPACKETDELETEOBJECTS_H
-#define NETWORKPACKETDELETEOBJECTS_H
+#ifndef _DeleteObjects_H__
+#define _DeleteObjects_H__
 
-#include "../NetworkPrereqs.h"
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
-
 
 namespace orxonox {
@@ -57,3 +55,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _DeleteObjects_H__ */
Index: code/branches/netp5/src/network/packet/FunctionCalls.cc
===================================================================
--- code/branches/netp5/src/network/packet/FunctionCalls.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/FunctionCalls.cc	(revision 3209)
@@ -29,15 +29,12 @@
 #include "FunctionCalls.h"
 
-#include <enet/enet.h>
 #include <cassert>
-#include <cstring>
-#include "network/Host.h"
+#include "util/MultiType.h"
 #include "network/NetworkFunction.h"
-#include "util/MultiType.h"
 
 namespace orxonox {
 namespace packet {
   
-#define   PACKET_FLAGS_FUNCTIONCALLS ENET_PACKET_FLAG_RELIABLE
+#define   PACKET_FLAGS_FUNCTIONCALLS PacketFlag::Reliable
 #define   _PACKETID         0
 const unsigned int FUNCTIONCALLS_MEM_ALLOCATION = 1000;
Index: code/branches/netp5/src/network/packet/FunctionCalls.h
===================================================================
--- code/branches/netp5/src/network/packet/FunctionCalls.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/FunctionCalls.h	(revision 3209)
@@ -1,17 +1,40 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss <scheusso [at] ee.ethz.ch>
+ *   Co-authors:
+ *      ...
+ *
+ */
 
-#ifndef NETWORKFUNCTIONCALLS_H
-#define NETWORKFUNCTIONCALLS_H
+#ifndef _FunctionCalls_H__
+#define _FunctionCalls_H__
 
-#include "../NetworkPrereqs.h"
+#include "network/NetworkPrereqs.h"
 
-#include <string>
-#include <cstring>
-
+#include <cassert>
+#include "util/UtilPrereqs.h"
 #include "Packet.h"
-#include <cassert>
 
 namespace orxonox {
-
-class MultiType;
 
 namespace packet {
@@ -44,3 +67,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _FunctionCalls_H__ */
Index: code/branches/netp5/src/network/packet/FunctionIDs.cc
===================================================================
--- code/branches/netp5/src/network/packet/FunctionIDs.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/FunctionIDs.cc	(revision 3209)
@@ -27,13 +27,13 @@
  */
 
+#include "FunctionIDs.h"
 
-
-#include "FunctionIDs.h"
-#include "network/NetworkFunction.h"
-#include <enet/enet.h>
-#include "core/CoreIncludes.h"
-#include <string>
 #include <cassert>
 #include <queue>
+#include <string>
+
+#include "util/Debug.h"
+#include "core/ObjectList.h"
+#include "network/NetworkFunction.h"
 
 namespace orxonox {
@@ -41,5 +41,5 @@
 
 
-#define PACKET_FLAGS_FUNCTIONIDS  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_FUNCTIONIDS  PacketFlag::Reliable
 #define _PACKETID                 0
 
Index: code/branches/netp5/src/network/packet/FunctionIDs.h
===================================================================
--- code/branches/netp5/src/network/packet/FunctionIDs.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/FunctionIDs.h	(revision 3209)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef NETWORKFUNCTIONIDS_H
-#define NETWORKFUNCTIONIDS_H
 
-#include "../NetworkPrereqs.h"
+#ifndef _FunctionIDs_H__
+#define _FunctionIDs_H__
 
-#include <string>
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -58,3 +56,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _FunctionIDs_H__ */
Index: code/branches/netp5/src/network/packet/Gamestate.cc
===================================================================
--- code/branches/netp5/src/network/packet/Gamestate.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/Gamestate.cc	(revision 3209)
@@ -28,15 +28,12 @@
 
 #include "Gamestate.h"
-#include <enet/enet.h>
+
 #include <zlib.h>
-#include <cassert>
-#include "../GamestateHandler.h"
-#include "../synchronisable/Synchronisable.h"
-#include "../TrafficControl.h"
+
+#include "util/Debug.h"
 #include "core/GameMode.h"
-#include "core/CoreIncludes.h"
-
-
-
+#include "core/ObjectList.h"
+#include "network/synchronisable/Synchronisable.h"
+#include "network/GamestateHandler.h"
 
 namespace orxonox {
@@ -46,5 +43,5 @@
 #define GAMESTATE_START(data) (data + GamestateHeader::getSize())
 
-#define PACKET_FLAG_GAMESTATE  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAG_GAMESTATE  PacketFlag::Reliable
 
 
Index: code/branches/netp5/src/network/packet/Gamestate.h
===================================================================
--- code/branches/netp5/src/network/packet/Gamestate.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/Gamestate.h	(revision 3209)
@@ -28,18 +28,15 @@
 
 
-#ifndef NETWORK_PACKETGAMESTATE_H
-#define NETWORK_PACKETGAMESTATE_H
+#ifndef _Gamestate_H__
+#define _Gamestate_H__
 
 #include "network/NetworkPrereqs.h"
 
+#include <cassert>
+#include <list>
+
+#include "util/CRC32.h"
+#include "network/TrafficControl.h"
 #include "Packet.h"
-#include "network/TrafficControl.h"
-#include <string.h>
-#include <map>
-#include <vector>
-#include <cassert>
-#ifndef NDEBUG
-#include "util/CRC32.h"
-#endif
 
 namespace orxonox {
@@ -138,3 +135,3 @@
 }
 
-#endif
+#endif /* _Gamestate_H__ */
Index: code/branches/netp5/src/network/packet/Packet.cc
===================================================================
--- code/branches/netp5/src/network/packet/Packet.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/Packet.cc	(revision 3209)
@@ -32,11 +32,11 @@
 #include <cassert>
 #include <enet/enet.h>
-
-#include "network/ClientInformation.h"
-
+#include <boost/static_assert.hpp>
+
+#include "util/Debug.h"
 #include "Acknowledgement.h"
-#include "DeleteObjects.h"
 #include "Chat.h"
 #include "ClassID.h"
+#include "DeleteObjects.h"
 #include "FunctionCalls.h"
 #include "FunctionIDs.h"
@@ -44,5 +44,5 @@
 #include "Welcome.h"
 #include "network/Host.h"
-#include "core/CoreIncludes.h"
+#include "network/ClientInformation.h"
 
 namespace orxonox{
@@ -50,5 +50,10 @@
 namespace packet{
 
-#define PACKET_FLAG_DEFAULT ENET_PACKET_FLAG_NO_ALLOCATE
+// Make sure we assume the right values
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Reliable)   == static_cast<int>(ENET_PACKET_FLAG_RELIABLE));
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::Unsequence) == static_cast<int>(ENET_PACKET_FLAG_UNSEQUENCED));
+BOOST_STATIC_ASSERT(static_cast<int>(PacketFlag::NoAllocate) == static_cast<int>(ENET_PACKET_FLAG_NO_ALLOCATE));
+
+#define PACKET_FLAG_DEFAULT PacketFlag::NoAllocate
 #define _PACKETID           0
 
@@ -103,5 +108,5 @@
   }
   else if (this->data_) {
-    // This destructor was probably called as a consequence to ENet executing our callback.
+    // This destructor was probably called as a consequence of ENet executing our callback.
     // It simply serves us to be able to deallocate the packet content (data_) ourselves since
     // we have created it in the first place.
Index: code/branches/netp5/src/network/packet/Packet.h
===================================================================
--- code/branches/netp5/src/network/packet/Packet.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/Packet.h	(revision 3209)
@@ -26,9 +26,8 @@
  *
  */
-#ifndef NETWORKPACKET_H
-#define NETWORKPACKET_H
+#ifndef _NETWORK_Packet_H__
+#define _NETWORK_Packet_H__
 
 #include "network/NetworkPrereqs.h"
-
 #include <map>
 
@@ -102,3 +101,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Packet_H__ */
Index: code/branches/netp5/src/network/packet/Welcome.cc
===================================================================
--- code/branches/netp5/src/network/packet/Welcome.cc	(revision 3208)
+++ code/branches/netp5/src/network/packet/Welcome.cc	(revision 3209)
@@ -29,16 +29,15 @@
  */
 
+#include "Welcome.h"
 
-#include "Welcome.h"
-#include <enet/enet.h>
 #include <cassert>
+#include "util/Debug.h"
 #include "network/Host.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/CoreIncludes.h"
 
 namespace orxonox {
 namespace packet {
 
-#define PACKET_FLAGS_CLASSID  ENET_PACKET_FLAG_RELIABLE
+#define PACKET_FLAGS_CLASSID  PacketFlag::Reliable
 #define _PACKETID             0
 #define _CLIENTID             _PACKETID + sizeof(ENUM::Type)
Index: code/branches/netp5/src/network/packet/Welcome.h
===================================================================
--- code/branches/netp5/src/network/packet/Welcome.h	(revision 3208)
+++ code/branches/netp5/src/network/packet/Welcome.h	(revision 3209)
@@ -26,9 +26,8 @@
  *
  */
-#ifndef NETWORKWELCOME_H
-#define NETWORKWELCOME_H
+#ifndef _NETWORK_Welcome_H__
+#define _NETWORK_Welcome_H__
 
-#include "../NetworkPrereqs.h"
-
+#include "network/NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -56,3 +55,3 @@
 } //namespace orxonox
 
-#endif
+#endif /* _NETWORK_Welcome_H__ */
Index: code/branches/netp5/src/network/synchronisable/NetworkCallback.h
===================================================================
--- code/branches/netp5/src/network/synchronisable/NetworkCallback.h	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/NetworkCallback.h	(revision 3209)
@@ -28,6 +28,6 @@
 
 
-#ifndef _NETWORK_CALLBACK__
-#define _NETWORK_CALLBACK__
+#ifndef _NetworkCallback_H__
+#define _NetworkCallback_H__
 
 #include "network/NetworkPrereqs.h"
@@ -61,3 +61,3 @@
 
 
-#endif
+#endif /* _NetworkCallback_H__ */
Index: code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.cc
===================================================================
--- code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.cc	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.cc	(revision 3209)
@@ -27,5 +27,4 @@
  */
  
-
 #include "NetworkCallbackManager.h"
 #include "NetworkCallback.h"
Index: code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.h
===================================================================
--- code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.h	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/NetworkCallbackManager.h	(revision 3209)
@@ -28,8 +28,9 @@
 
 
-#ifndef _NETWORK_CALLBACKMANAGER__
-#define _NETWORK_CALLBACKMANAGER__
+#ifndef _NetworkCallbackManager_H__
+#define _NetworkCallbackManager_H__
 
 #include "network/NetworkPrereqs.h"
+
 #include <set>
 #include <queue>
@@ -52,3 +53,3 @@
 
 
-#endif
+#endif /* _NetworkCallbackManager_H__ */
Index: code/branches/netp5/src/network/synchronisable/Synchronisable.cc
===================================================================
--- code/branches/netp5/src/network/synchronisable/Synchronisable.cc	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/Synchronisable.cc	(revision 3209)
@@ -31,14 +31,8 @@
 #include "Synchronisable.h"
 
-#include <cstring>
-#include <string>
-#include <iostream>
-#include <cassert>
-
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
-// #include "core/Identifier.h"
-
 #include "network/Host.h"
+
 namespace orxonox
 {
Index: code/branches/netp5/src/network/synchronisable/Synchronisable.h
===================================================================
--- code/branches/netp5/src/network/synchronisable/Synchronisable.h	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/Synchronisable.h	(revision 3209)
@@ -32,15 +32,13 @@
 #include "network/NetworkPrereqs.h"
 
-#include <list>
+#include <cassert>
 #include <vector>
 #include <map>
 #include <queue>
-#include <cassert>
-#include <string>
-#include "util/Math.h"
+
 #include "util/mbool.h"
 #include "core/OrxonoxClass.h"
+#include "SynchronisableVariable.h"
 #include "NetworkCallback.h"
-#include "SynchronisableVariable.h"
 
 /*#define REGISTERDATA(varname, ...) \
Index: code/branches/netp5/src/network/synchronisable/SynchronisableSpecialisations.cc
===================================================================
--- code/branches/netp5/src/network/synchronisable/SynchronisableSpecialisations.cc	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/SynchronisableSpecialisations.cc	(revision 3209)
@@ -28,6 +28,8 @@
  */
 
-#include "network/synchronisable/Synchronisable.h"
 #include <string>
+#include "util/Math.h"
+#include "Synchronisable.h"
+#include "SynchronisableVariable.h"
 
 // ================ template spezialisation
Index: code/branches/netp5/src/network/synchronisable/SynchronisableVariable.cc
===================================================================
--- code/branches/netp5/src/network/synchronisable/SynchronisableVariable.cc	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/SynchronisableVariable.cc	(revision 3209)
@@ -29,5 +29,4 @@
 #include "SynchronisableVariable.h"
 
-
 namespace orxonox{
 
Index: code/branches/netp5/src/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/branches/netp5/src/network/synchronisable/SynchronisableVariable.h	(revision 3208)
+++ code/branches/netp5/src/network/synchronisable/SynchronisableVariable.h	(revision 3209)
@@ -28,16 +28,12 @@
 
 
-#ifndef _NETWORK_SYNCHRONISABLEVARIABLE__
-#define _NETWORK_SYNCHRONISABLEVARIABLE__
+#ifndef _SynchronisableVariable_H__
+#define _SynchronisableVariable_H__
 
 #include "network/NetworkPrereqs.h"
 
-#include <string>
 #include <cassert>
 #include "util/Serialise.h"
-#include "core/Core.h"
-#include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "network/synchronisable/NetworkCallback.h"
 #include "network/synchronisable/NetworkCallbackManager.h"
 
@@ -253,3 +249,3 @@
 
 
-#endif
+#endif /* _SynchronisableVariable_H__ */
